// Created By: Jeff & Chris Rackauckas
// globalFunctions.js will just store the functions that we want to call in multiple files, due to the functions flexible uses.
// Dependencies: NULL (This should be the file others depend on, not vice versa).


// Ease up any possible ajax function calls, just create an easy to use function.
function ajax(data, url, callback) {
	var xmlhttp;
	
	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp = new XMLHttpRequest();
	}
	else {// code for IE6, IE5
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}
	
	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			if (xmlhttp.responseText == 'sessionfail')
				window.location = '../';
			callback(xmlhttp.responseText);
		}
	}
	if (data=="GET")
	{
		xmlhttp.open("GET",url,true);
		xmlhttp.send();
	}
	else {
		xmlhttp.open("POST", url, true);
		xmlhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
		xmlhttp.send(data);
	}
}